import org.odmg.Database;
import org.odmg.ODMGException;
import org.odmg.Transaction;

import rasj.RasImplementation;

public class TestConnect {

	private static String server = "localhost";
	private static String port = "7001";
	private static String databaseName = "RASBASE";
	private static String user = "rasadmin";
	private static String password = "rasadmin";

	public static void main(String[] args) {

		Database database = null;
		try {
			RasImplementation app = new RasImplementation("http://" + server + ":" + port);
			app.setUserIdentification(user, password);

			database = app.newDatabase();
			database.open(databaseName, Database.OPEN_READ_WRITE);

			Transaction transaction = app.newTransaction();
			transaction.begin();
			// do some stuff here...
			transaction.commit();

		} catch (ODMGException e) {
			e.printStackTrace();
		} finally {
			if (database != null) {
				try {
					database.close();
				} catch (ODMGException e) {
					e.printStackTrace();
				}
			}
		}
	}

}
